/* eslint-disable formatjs/enforce-description */
/* eslint-disable formatjs/enforce-default-message */
/* eslint-disable formatjs/no-id */

import { getIntl } from "@/i18n"

export default async function ServerComponentWithTernaryInside() {
  const intl = await getIntl()

  const someId = 'someId'
  const data = {
    type: 'something'
  }

  return (
    <h1>
      {intl.formatMessage({
        defaultMessage: someId,
        description: {}
      })}
      {intl.formatMessage({
        defaultMessage: data.type,
        description: {}
      })}
    </h1>
  )
}
